DataBolsa docs
Referência da APINotíciasNotícias

Feed de notícias ranqueado

Feed paginado de itens das edições recentes, ordenado por relevância. Filtre por `category` e pagine com `cursor` (use o `nextCursor` da resposta anterior).

GET
/v1/news/feed
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Itens por página (1–50, default 20).

cursor?string

Offset de paginação (do nextCursor anterior).

category?string

Filtra por categoria/linha editorial.

Response Body

curl -X GET "https://api.databolsa.com/v1/news/feed?limit=0&cursor=string&category=string"
{
  "items": [
    {
      "id": "string",
      "slug": "string",
      "time": "string",
      "tag": "string",
      "category": "string",
      "title": "string",
      "why": "string",
      "impact": [
        "string"
      ],
      "source": "string",
      "hot": true,
      "rankContext": {
        "position": 0,
        "score": 0
      }
    }
  ],
  "nextCursor": "string"
}
{}